Page MenuHomePhabricator

Replace Z23s with Z21s (instances of Z24) in Orchestrator and Validator
Open, In Progress, MediumPublic

Description

Also ensure that all validators for Unit are only looking for instances of Z21 (I believe we currently allow both in many places).

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/WikiLambdamaster+1 -1
mediawiki/services/function-evaluatormaster+1 -1
mediawiki/services/function-orchestratormaster+48 -30
mediawiki/services/function-orchestratormaster+1 -1
mediawiki/services/function-schematamaster+68 -27
mediawiki/services/function-evaluatormaster+41 -41
mediawiki/services/function-orchestratormaster+2 -2
mediawiki/services/function-orchestratormaster+69 -59
mediawiki/extensions/WikiLambdamaster+1 -1
mediawiki/services/function-evaluatormaster+1 -1
mediawiki/services/function-orchestratormaster+0 -0
mediawiki/services/function-orchestratormaster+1 -1
mediawiki/services/function-evaluatormaster+42 -27
mediawiki/services/function-orchestratormaster+13 -14
mediawiki/services/function-schematamaster+17 -17
mediawiki/services/function-schematamaster+59 -31
Show related patches Customize query in gerrit

Event Timeline

DVrandecic renamed this task from Replace Z23s with Z21s in Orchestrator and Validator to Replace Z23s with instances of Z21s in Orchestrator and Validator.Jun 30 2021, 4:19 PM
DVrandecic moved this task from To triage to Un-phased work on the Abstract Wikipedia team board.
DVrandecic triaged this task as Medium priority.Oct 20 2021, 4:35 PM
DMartin-WMF changed the task status from Open to In Progress.Mar 29 2022, 5:09 PM
DMartin-WMF claimed this task.
Jdforrester-WMF renamed this task from Replace Z23s with instances of Z21s in Orchestrator and Validator to Replace Z23s with Z21s (instances of Z24) in Orchestrator and Validator.Mar 31 2022, 4:17 PM

Currently we have the following discordance between the meaning of Z21, Z23 and Z24:

In documentation page:
Z21: Unit (Type).
Z23: Nothing (Type).
Z24: void (Unit).

In function-schemata data definitions:
Z21: void (Unit).
Z23: Nothing (Type).
Z24: Unit (Type).

In function-schemata normal and canonical yamls:
Z21: Unit (Type).
Z23: Nothing (Type).
Z24: void (Unit).

In WikiLambda:
Z23: Nothing (Type).

In function-schemata utils.js:
Z23: Unit (Type).

In function-schemata schema.js:
Z23: Unit (Type).

Change 776354 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-schemata@master] Replace Z23s with Z21s (instances of Z24) in function-schemata

https://gerrit.wikimedia.org/r/776354

Change 776397 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-schemata@master] Rename validator function & implementation for Z21

https://gerrit.wikimedia.org/r/776397

Change 776441 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-orchestrator@master] Replace Z23s with Z21s (instances of Z24) in function-orchestrator

https://gerrit.wikimedia.org/r/776441

Change 776461 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-evaluator@master] Replace Z23s with Z21s (instances of Z24) in function-evaluator

https://gerrit.wikimedia.org/r/776461

Change 776354 merged by jenkins-bot:

[mediawiki/services/function-schemata@master] [BREAKING CHANGE] Replace Z23s with Z24s in function-schemata

https://gerrit.wikimedia.org/r/776354

Change 776397 merged by jenkins-bot:

[mediawiki/services/function-schemata@master] definitions: Rename validator function & implementation for Z21

https://gerrit.wikimedia.org/r/776397

Change 776441 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (3db774b) and replace Z23s with Z21s

https://gerrit.wikimedia.org/r/776441

Change 776990 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (3db774b)

https://gerrit.wikimedia.org/r/776990

Change 776461 merged by jenkins-bot:

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (3db774b) and replace Z23s with Z21s

https://gerrit.wikimedia.org/r/776461

Change 778562 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (7aabc4a)

https://gerrit.wikimedia.org/r/778562

Change 778565 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (4fdbbf4)

https://gerrit.wikimedia.org/r/778565

Change 778566 had a related patch set uploaded (by Cory Massaro; author: Cory Massaro):

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (4fdbbf4)

https://gerrit.wikimedia.org/r/778566

Change 778562 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (4fdbbf4)

https://gerrit.wikimedia.org/r/778562

Change 776990 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (4fdbbf4)

https://gerrit.wikimedia.org/r/776990

Change 778565 merged by jenkins-bot:

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (4fdbbf4)

https://gerrit.wikimedia.org/r/778565

Change 778566 abandoned by Jforrester:

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (4fdbbf4)

Reason:

Sorry, this is now a no-op!

https://gerrit.wikimedia.org/r/778566

Change 779748 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-orchestrator@master] Replace Z23s with Z24s in function-orchestrator

https://gerrit.wikimedia.org/r/779748

Change 779748 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Replace Z23s with Z24s in function-orchestrator

https://gerrit.wikimedia.org/r/779748

Change 780904 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-evaluator@master] Replace Z23s with Z24s in function evaluator

https://gerrit.wikimedia.org/r/780904

Change 781605 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-orchestrator@master] Use makeResultEnvelopeWithVoid in orchestrator

https://gerrit.wikimedia.org/r/781605

Change 781645 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-schemata@master] Finish replacing Z23s with Z24s in function-schemata

https://gerrit.wikimedia.org/r/781645

Change 781605 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Use makeResultEnvelopeWithVoid in orchestrator

https://gerrit.wikimedia.org/r/781605

Change 780904 merged by jenkins-bot:

[mediawiki/services/function-evaluator@master] Replace Z23s with Z24s in function evaluator

https://gerrit.wikimedia.org/r/780904

For future reference, https://gerrit.wikimedia.org/r/781605 added argument withVoid to function-schemata methods normalize and canonicalize. Setting withVoid = true causes these methods to use Z24 / void in their result envelopes. The default value of withVoid is false. When it's time for cleanup, we can change that default to be true.

Change 784732 had a related patch set uploaded (by David Martin; author: David Martin):

[mediawiki/services/function-orchestrator@master] Use -withVoid=true in calls to normalize and canonicalize

https://gerrit.wikimedia.org/r/784732

Change 781645 merged by jenkins-bot:

[mediawiki/services/function-schemata@master] Finish replacing Z23s with Z24s in function-schemata

https://gerrit.wikimedia.org/r/781645

Change 785853 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785853

Change 785854 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785854

Change 785856 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785856

Change 785853 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785853

Change 784732 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Use withVoid=true in calls to normalize and canonicalize

https://gerrit.wikimedia.org/r/784732

Change 785854 merged by jenkins-bot:

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785854

Change 785856 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (49ff68e)

https://gerrit.wikimedia.org/r/785856